package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AtmosphereGasification;
import com.lightinit.hsdatashow.entity.AtmosphereGasificationExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AtmosphereGasificationMapper {
    long countByExample(AtmosphereGasificationExample example);

    int deleteByExample(AtmosphereGasificationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AtmosphereGasification record);

    int insertSelective(AtmosphereGasification record);

    List<AtmosphereGasification> selectByExample(AtmosphereGasificationExample example);

    AtmosphereGasification selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AtmosphereGasification record, @Param("example") AtmosphereGasificationExample example);

    int updateByExample(@Param("record") AtmosphereGasification record, @Param("example") AtmosphereGasificationExample example);

    int updateByPrimaryKeySelective(AtmosphereGasification record);

    int updateByPrimaryKey(AtmosphereGasification record);

    List<AtmosphereGasification> getAtmosphereGasification(@Param("year") int year);
}